;;; GNU Guix DHCP Client.
;;;
;;; Copyright 2015 Free Software Foundation, Inc.
;;;
;;; This program is free software; you can redistribute it and/or modify it
;;; under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 3 of the License, or (at
;;; your option) any later version.
;;;
;;; This program is distributed in the hope that it will be useful, but
;;; WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

(define-module (test-dhcp-interfaces))

(use-modules (srfi srfi-64)
	     (dhcp interfaces)
	     (arp identifiers)
	     ((guix build syscalls) #:select (all-network-interfaces))
	     ((ice-9 popen) #:select (open-pipe)))

(test-begin "dhcp-interfaces")

(define ifaces (all-network-interfaces))

(define eth (car (retain-ethernet-interfaces ifaces)))

(print-hardware-address (hardware-address eth))

(open-pipe "ls -l" OPEN_BOTH)

(test-eq "correct-family"
	 ARPHRD_ETHER
	 (hardware-family eth))

;(define iaddr (network-interface-address sock (cadr ifaces)))
;(display iaddr) (newline)b;(define ifaddrs (get-first-interface-ptr))
;(define ifaces (find-interfaces ifaddrs))
;(free-interfaces ifaddrs)

(test-end)

(exit (zero? (test-runner-fail-count (test-runner-current))))
